Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity
Class IdentityProviderConstants.Sample

    java.lang.Object
      org.wso2.solutions.identity.IdentityProviderConstants.Sample

Enclosing class:
  IdentityProviderConstants

    public static class IdentityProviderConstants.Sample

extends java.lang.Object

Sample related constants of the identity provider

Field Summary
`static java.lang.String` | `COLUMN_NAME_EMAIL`
`static java.lang.String` | `COLUMN_NAME_FIRSTNAME`
`static java.lang.String` | `COLUMN_NAME_LASTNAME`
`static java.lang.String` | `CONNECTION_PASSWORD`
`static java.lang.String` | `CONNECTION_URL`
`static java.lang.String` | `CONNECTION_USER_NAME`
`static java.lang.String` | `DRIVER`
`static java.lang.String` | `PASSWORD_COLUMN`
`static java.lang.String` | `USER_NAME_COLUMN`
`static java.lang.String` | `USER_TABLE`

Constructor Summary
`IdentityProviderConstants.Sample()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION_URL

    public static final java.lang.String CONNECTION_URL

See Also:
  Constant Field Values

### CONNECTION_USER_NAME

    public static final java.lang.String CONNECTION_USER_NAME

See Also:
  Constant Field Values

### CONNECTION_PASSWORD

    public static final java.lang.String CONNECTION_PASSWORD

See Also:
  Constant Field Values

### DRIVER

    public static final java.lang.String DRIVER

See Also:
  Constant Field Values

### USER_TABLE

    public static final java.lang.String USER_TABLE

See Also:
  Constant Field Values

### USER_NAME_COLUMN

    public static final java.lang.String USER_NAME_COLUMN

See Also:
  Constant Field Values

### PASSWORD_COLUMN

    public static final java.lang.String PASSWORD_COLUMN

See Also:
  Constant Field Values

### COLUMN_NAME_EMAIL

    public static final java.lang.String COLUMN_NAME_EMAIL

See Also:
  Constant Field Values

### COLUMN_NAME_FIRSTNAME

    public static final java.lang.String COLUMN_NAME_FIRSTNAME

See Also:
  Constant Field Values

### COLUMN_NAME_LASTNAME

    public static final java.lang.String COLUMN_NAME_LASTNAME

See Also:
  Constant Field Values

Constructor Detail

### IdentityProviderConstants.Sample

    public IdentityProviderConstants.Sample()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD